<h1>Categories</h1>
<%= link_to 'Nouvelle catégorie', new_category_path, class:"btn btn-success", style:"color:white" %>
<div class="card-deck mt-4">
  <div class="row">
    <% @categories.each do |category| %>
    <div class="col" >
      <div class="card mb-4"  style="width: 18rem">
        <div class="card-body">
          <h5 class="card-title" style="display: block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;"><%= category.nom %></h5>
          <p class="card-text">id : <%= category.id %> </p>
        </div>
        <div class="card-footer">
          <div class="row" >
            <div class="col" >
              <%= link_to 'Modifier', edit_category_path(category),class: "btn btn-primary  btn-block", style: "color: white" %>
            </div>
            <div class="col"><!--extra div--></div>
            <div class="col" >
              <%= link_to 'Supprimer', category, method: :delete, data: { confirm: 'Êtes vous sûr ?' },class: "btn btn-danger", style: "color: white" %>
            </div>
          </div>
        </div>
      </div>
    </div>
  <% end %>
  </div>
</div>
